Bug 1467410 - Host Collection Hosts view doesn't filter hosts
Host Collection Hosts view doesn't filter hosts
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: Beta
: --
Assigned To: satellite6-bugs
Nikhil Kathole
: Regression, Triaged
: 1479780 (view as bug list)
Depends On:
Blocks: 1454739
  Show dependency treegraph
 
Reported: 2017-07-03 13:16 EDT by Justin Sherrill
Modified: 2018-02-21 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version: rubygem-katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of UI while adding second host having host collection limit 1 (46.42 KB, image/png)
2017-09-03 04:40 EDT, Nikhil Kathole
no flags Details
screenshot of UI list/remove in host collection (51.16 KB, image/png)
2017-09-03 04:42 EDT, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19960 None None None 2017-07-03 13:16 EDT

  None (edit)
Description Justin Sherrill 2017-07-03 13:16:28 EDT
Katello 3.4

In the Host Collection Host List/Remove view - all hosts are displayed rather than only those that belong to the host collection
Comment 1 Justin Sherrill 2017-07-03 13:16:33 EDT
Created from redmine issue http://projects.theforeman.org/issues/19960
Comment 4 pm-sat@redhat.com 2017-08-04 18:06:23 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19960 has been resolved.
Comment 5 Brad Buckingham 2017-08-24 15:57:26 EDT
*** Bug 1479780 has been marked as a duplicate of this bug. ***
Comment 6 Brad Buckingham 2017-08-24 15:58:20 EDT
When verifying this bugzilla, recommend also running through the scenario described by the duplicate bug 1479780.
Comment 7 Nikhil Kathole 2017-09-03 04:39:37 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 14

steps:
1. Created 2 hosts
2. Created host collection with limit 1
3. Added 1 host to host collection and successfully added
4. Try to add second host and it shows error
5. Click on List/Remove

It listed only one host, which is added in host collection, as expected.
Comment 8 Nikhil Kathole 2017-09-03 04:40 EDT
Created attachment 1321464 [details]
screenshot of UI while adding second host having host collection limit 1
Comment 9 Nikhil Kathole 2017-09-03 04:42 EDT
Created attachment 1321465 [details]
screenshot of UI list/remove in host collection
Comment 10 Bryan Kearney 2018-02-21 11:42:30 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 11 Bryan Kearney 2018-02-21 11:46:35 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 12 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.